Package com.enonic.xp.content

## Class Content.Builder<BUILDER extends Content.Builder>

- java.lang.Object
- - com.enonic.xp.content.Content.Builder<BUILDER>

- Direct Known Subclasses:
    `Media.Builder`, `PageTemplate.Builder`, `Site.Builder`
  Enclosing class:
    Content

      public static class Content.Builder<BUILDER extends Content.Builder>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected PrincipalKey` | `archivedBy` |
    `protected Instant` | `archivedTime` |
    `protected Attachments` | `attachments` |
    `protected ChildOrder` | `childOrder` |
    `protected Instant` | `createdTime` |
    `protected PrincipalKey` | `creator` |
    `protected PropertyTree` | `data` |
    `protected String` | `displayName` |
    `protected ExtraDatas` | `extraDatas` |
    `protected boolean` | `hasChildren` |
    `protected ContentId` | `id` |
    `protected EnumSet<ContentInheritType>` | `inherit` |
    `protected boolean` | `inheritPermissions` |
    `protected Locale` | `language` |
    `protected Long` | `manualOrderValue` |
    `protected Instant` | `modifiedTime` |
    `protected PrincipalKey` | `modifier` |
    `protected ContentName` | `name` |
    `protected ContentName` | `originalName` |
    `protected ContentPath` | `originalParentPath` |
    `protected ProjectName` | `originProject` |
    `protected PrincipalKey` | `owner` |
    `protected Page` | `page` |
    `protected ContentPath` | `parentPath` |
    `protected AccessControlList` | `permissions` |
    `protected ContentIds.Builder` | `processedReferences` |
    `protected ContentPublishInfo` | `publishInfo` |
    `protected boolean` | `root` |
    `protected Thumbnail` | `thumbnail` |
    `protected ContentTypeName` | `type` |
    `protected boolean` | `valid` |
    `protected ValidationErrors` | `validationErrors` |
    `protected ContentId` | `variantOf` |
    `protected WorkflowInfo` | `workflowInfo` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Builder()` |
    `protected` | `Builder​(Content source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BUILDER` | `addExtraData​(ExtraData extraData)` |
    `BUILDER` | `addProcessedReference​(ContentId reference)` |
    `BUILDER` | `archivedBy​(PrincipalKey archivedBy)` |
    `BUILDER` | `archivedTime​(Instant archivedTime)` |
    `BUILDER` | `attachments​(Attachments attachments)` |
    `Content` | `build()` |
    `BUILDER` | `childOrder​(ChildOrder childOrder)` |
    `BUILDER` | `contentState​(ContentState contentState)` | Deprecated.
    `BUILDER` | `createdTime​(Instant createdTime)` |
    `BUILDER` | `creator​(PrincipalKey modifier)` |
    `BUILDER` | `data​(PropertyTree data)` |
    `BUILDER` | `displayName​(String displayName)` |
    `BUILDER` | `extraDatas​(ExtraDatas extraDatas)` |
    `BUILDER` | `hasChildren​(boolean hasChildren)` |
    `BUILDER` | `id​(ContentId contentId)` |
    `BUILDER` | `inheritPermissions​(boolean inheritPermissions)` |
    `BUILDER` | `language​(Locale language)` |
    `BUILDER` | `manualOrderValue​(Long manualOrderValue)` |
    `BUILDER` | `modifiedTime​(Instant modifiedTime)` |
    `BUILDER` | `modifier​(PrincipalKey modifier)` |
    `BUILDER` | `name​(ContentName name)` |
    `BUILDER` | `name​(String name)` |
    `BUILDER` | `originalName​(ContentName name)` |
    `BUILDER` | `originalParentPath​(ContentPath path)` |
    `BUILDER` | `originProject​(ProjectName originProject)` |
    `BUILDER` | `owner​(PrincipalKey owner)` |
    `BUILDER` | `page​(Page page)` |
    `BUILDER` | `parentPath​(ContentPath path)` |
    `BUILDER` | `path​(ContentPath path)` |
    `BUILDER` | `path​(String path)` |
    `BUILDER` | `permissions​(AccessControlList permissions)` |
    `BUILDER` | `processedReferences​(ContentIds references)` |
    `BUILDER` | `publishInfo​(ContentPublishInfo publishInfo)` |
    `BUILDER` | `root()` |
    `BUILDER` | `setInherit​(Set<ContentInheritType> inherit)` |
    `BUILDER` | `thumbnail​(Thumbnail thumbnail)` |
    `BUILDER` | `type​(ContentTypeName type)` |
    `BUILDER` | `valid​(boolean valid)` |
    `BUILDER` | `validationErrors​(ValidationErrors validationErrors)` |
    `BUILDER` | `variantOf​(ContentId variantOf)` |
    `BUILDER` | `workflowInfo​(WorkflowInfo workflowInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected ContentId id

    - #### data

          protected PropertyTree data

    - #### page

          protected Page page

    - #### valid

          protected boolean valid

    - #### validationErrors

          protected ValidationErrors validationErrors

    - #### parentPath

          protected ContentPath parentPath

    - #### name

          protected ContentName name

    - #### type

          protected ContentTypeName type

    - #### attachments

          protected Attachments attachments

    - #### extraDatas

          protected ExtraDatas extraDatas

    - #### displayName

          protected String displayName

    - #### owner

          protected PrincipalKey owner

    - #### createdTime

          protected Instant createdTime

    - #### modifiedTime

          protected Instant modifiedTime

    - #### publishInfo

          protected ContentPublishInfo publishInfo

    - #### creator

          protected PrincipalKey creator

    - #### modifier

          protected PrincipalKey modifier

    - #### thumbnail

          protected Thumbnail thumbnail

    - #### hasChildren

          protected boolean hasChildren

    - #### inherit

          protected EnumSet<ContentInheritType> inherit

    - #### originProject

          protected ProjectName originProject

    - #### childOrder

          protected ChildOrder childOrder

    - #### permissions

          protected AccessControlList permissions

    - #### inheritPermissions

          protected boolean inheritPermissions

    - #### language

          protected Locale language

    - #### processedReferences

          protected ContentIds.Builder processedReferences

    - #### workflowInfo

          protected WorkflowInfo workflowInfo

    - #### manualOrderValue

          protected Long manualOrderValue

    - #### originalParentPath

          protected ContentPath originalParentPath

    - #### originalName

          protected ContentName originalName

    - #### archivedTime

          protected Instant archivedTime

    - #### archivedBy

          protected PrincipalKey archivedBy

    - #### root

          protected boolean root

    - #### variantOf

          protected ContentId variantOf

  - ### Constructor Detail

    - #### Builder

          protected Builder()

    - #### Builder

          protected Builder​(Content source)

  - ### Method Detail

    - #### parentPath

          public BUILDER parentPath​(ContentPath path)

    - #### name

          public BUILDER name​(String name)

    - #### name

          public BUILDER name​(ContentName name)

    - #### path

          public BUILDER path​(String path)

    - #### path

          public BUILDER path​(ContentPath path)

    - #### root

          public BUILDER root()

    - #### valid

          public BUILDER valid​(boolean valid)

    - #### validationErrors

          public BUILDER validationErrors​(ValidationErrors validationErrors)

    - #### type

          public BUILDER type​(ContentTypeName type)

    - #### data

          public BUILDER data​(PropertyTree data)

    - #### attachments

          public BUILDER attachments​(Attachments attachments)

    - #### addExtraData

          public BUILDER addExtraData​(ExtraData extraData)

    - #### extraDatas

          public BUILDER extraDatas​(ExtraDatas extraDatas)

    - #### displayName

          public BUILDER displayName​(String displayName)

    - #### owner

          public BUILDER owner​(PrincipalKey owner)

    - #### creator

          public BUILDER creator​(PrincipalKey modifier)

    - #### modifier

          public BUILDER modifier​(PrincipalKey modifier)

    - #### createdTime

          public BUILDER createdTime​(Instant createdTime)

    - #### modifiedTime

          public BUILDER modifiedTime​(Instant modifiedTime)

    - #### publishInfo

          public BUILDER publishInfo​(ContentPublishInfo publishInfo)

    - #### id

          public BUILDER id​(ContentId contentId)

    - #### hasChildren

          public BUILDER hasChildren​(boolean hasChildren)

    - #### setInherit

          public BUILDER setInherit​(Set<ContentInheritType> inherit)

    - #### originProject

          public BUILDER originProject​(ProjectName originProject)

    - #### childOrder

          public BUILDER childOrder​(ChildOrder childOrder)

    - #### page

          public BUILDER page​(Page page)

    - #### thumbnail

          public BUILDER thumbnail​(Thumbnail thumbnail)

    - #### permissions

          public BUILDER permissions​(AccessControlList permissions)

    - #### inheritPermissions

          public BUILDER inheritPermissions​(boolean inheritPermissions)

    - #### language

          public BUILDER language​(Locale language)

    - #### contentState

          @Deprecated
          public BUILDER contentState​(ContentState contentState)

      Deprecated.

    - #### processedReferences

          public BUILDER processedReferences​(ContentIds references)

    - #### addProcessedReference

          public BUILDER addProcessedReference​(ContentId reference)

    - #### workflowInfo

          public BUILDER workflowInfo​(WorkflowInfo workflowInfo)

    - #### manualOrderValue

          public BUILDER manualOrderValue​(Long manualOrderValue)

    - #### originalName

          public BUILDER originalName​(ContentName name)

    - #### originalParentPath

          public BUILDER originalParentPath​(ContentPath path)

    - #### archivedTime

          public BUILDER archivedTime​(Instant archivedTime)

    - #### archivedBy

          public BUILDER archivedBy​(PrincipalKey archivedBy)

    - #### variantOf

          public BUILDER variantOf​(ContentId variantOf)

    - #### build

          public Content build()